package com.gree.mall.manager.bean.settle;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.SettlementGoodsTypeEnum;
import com.gree.mall.manager.enums.SettlementTypeEnum;
import com.gree.mall.manager.plus.entity.SettlementOrder;
import com.gree.mall.manager.plus.entity.SettlementOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class SettlementWorkerLogicVO  {

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;


    @ApiModelProperty(value = "工程师编号")
    private String workerNumber;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ApiModelProperty(value = "工单号")
    private String workerOrderId;

    @ApiModelProperty(value = "工单类型")
    private String orderSmallTypeText;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "收费类型")
    private SettlementGoodsTypeEnum chargeType;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "数量")
    private BigDecimal num;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "收费标准")
    private BigDecimal normAmount;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "支付时间")
    private Date payTime;


}
